View Issue Details

IDProjectCategoryView StatusLast Update
0001244bareos-core[All Projects] webuipublic2021-06-30 16:34
ReporterlinkAssigned To 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentOSOS Version7
Product Version 
Fixed in Version 
Summary0001244: Problem with displaying restore jobs in webui
DescriptionWhen I create two or more recovery task files with Type = Restore, these tasks no longer appear in webui.
At the same time, everything works correctly through bconsole.

version 19.2.6
Steps To ReproduceCreate conf files in /etc/bareos/bareos-dir.d/job
example:
Job {
  Name = "SyspassRestoreDB"
  Description = "Standard Restore template. Only one such job is needed for all standard Jobs/Clients/Storage ..."
  Type = Restore
  Client = psono-fd
  FileSet = "mysql-syspass"
  Storage = S3File
  Pool = Fullmysql
  Messages = Standard
  Where = /tmp/bareos-restores

  RunScript {
    FailJobOnError = Yes
    RunsOnSuccess = Yes
    RunsOnClient = Yes
    RunsWhen = After
    Command = "sh -c 'mysql -u root -h 172.28.1.20 -p11111 test_db < /tmp/bareos-restores/_mysqlbackups_/syspass.sql'"
  }

}
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impactyes
bareos-19.2: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0001206 closedfrank form field restore job is not populated after client selection 

Issue History

Date Modified Username Field Change
2020-05-19 14:22 link New Issue
2020-05-19 14:22 link File Added: Снимок экрана от 2020-05-19 13-59-30.png
2020-05-19 14:22 link File Added: Снимок экрана от 2020-05-19 14-00-00.png
2021-04-29 10:49 frank Assigned To => frank
2021-04-29 10:49 frank Status new => assigned
2021-06-30 16:31 frank Relationship added related to 0001206
2021-06-30 16:33 frank Assigned To frank =>
2021-06-30 16:33 frank Status assigned => resolved
2021-06-30 16:33 frank Resolution open => fixed
2021-06-30 16:33 frank bareos-19.2: impact => yes
2021-06-30 16:33 frank bareos-19.2: action => fixed
2021-06-30 16:33 frank Note Added: 0004172
2021-06-30 16:34 frank Status resolved => closed